oasis.names.tc.saml._1_0.protocol

## Class RequestAbstractType

- java.lang.Object
- - oasis.names.tc.saml._1_0.protocol.RequestAbstractType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Request

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public abstract class RequestAbstractType
      extends Object
      implements Serializable

  Java class for RequestAbstractType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestAbstractType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}RespondWith" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
             </sequence>
             <attribute name="RequestID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="MajorVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="MinorVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestAbstractType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
    `BigInteger` | `getMajorVersion()` Gets the value of the majorVersion property.
    `BigInteger` | `getMinorVersion()` Gets the value of the minorVersion property.
    `String` | `getRequestID()` Gets the value of the requestID property.
    `List<QName>` | `getRespondWiths()` Gets the value of the respondWiths property.
    `Signature` | `getSignature()` Gets the value of the signature property.
    `void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.
    `void` | `setMajorVersion(BigInteger value)` Sets the value of the majorVersion property.
    `void` | `setMinorVersion(BigInteger value)` Sets the value of the minorVersion property.
    `void` | `setRequestID(String value)` Sets the value of the requestID property.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestAbstractType

          public RequestAbstractType()

  - ### Method Detail

    - #### getRespondWiths

          public List<QName> getRespondWiths()

      Gets the value of the respondWiths property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the respondWiths property.

      For example, to add a new item, do as follows:

              getRespondWiths().add(newItem);

      Objects of the following type(s) are allowed in the list `QName`

    - #### getSignature

          public Signature getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

    - #### getRequestID

          public String getRequestID()

      Gets the value of the requestID property.
      Returns:
        possible object is `String`

    - #### setRequestID

          public void setRequestID(String value)

      Sets the value of the requestID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMajorVersion

          public BigInteger getMajorVersion()

      Gets the value of the majorVersion property.
      Returns:
        possible object is `BigInteger`

    - #### setMajorVersion

          public void setMajorVersion(BigInteger value)

      Sets the value of the majorVersion property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getMinorVersion

          public BigInteger getMinorVersion()

      Gets the value of the minorVersion property.
      Returns:
        possible object is `BigInteger`

    - #### setMinorVersion

          public void setMinorVersion(BigInteger value)

      Sets the value of the minorVersion property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getIssueInstant

          public org.joda.time.DateTime getIssueInstant()

      Gets the value of the issueInstant property.
      Returns:
        possible object is `String`

    - #### setIssueInstant

          public void setIssueInstant(org.joda.time.DateTime value)

      Sets the value of the issueInstant property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.